Subject: Re: bug#55645: src/print.c; print_object changes make it impossible to compare elisp code across versions

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Jun 2022 19:35:05 +0300

> From: Tom Gillespie <[email-masked]>
> Date: Mon, 6 Jun 2022 16:30:22 -0700
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> > Thus, I agree with Lars that it is strange to hear that prin1 is used
> > as something that's supposed to produce a canonical representation of
> > Lisp code; it's definitely isn't its purpose.
> 
> Am I wrong in my assumption about pp-buffer and read?

Of course you are wrong, since we changed prin1 without affecting
read.  We could also change both prin1 and read such that what the
former produces the latter can consume, as long as the "usual" Lisp
code can still be read without any problem.

> I mean, yes in principle prin1 could start escaping every single
> character in every symbol since it will ultimately read in the same
> way, but that seems somewhat unlikely.

Unlikely for every character, but we could decide to do that for a few
special ones, for example.